{% load i18n %}
{% load humanize %}
{% load server_tags %}
{% load compress %}
<!DOCTYPE html>
<html lang="en">
<head>

    <link rel="shortcut icon" href="{{ STATIC_URL }}favicon/favicon.ico"/>

    <title>{% block page_title %}{{ page_title }}{% endblock %}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!-- <link href="//netdna.bootstrapcdn.com/bootstrap/3.0.3/css/bootstrap.min.css" rel="stylesheet"> -->
    <!-- <link href="//netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css" rel="stylesheet"> -->
    <link href="{{ STATIC_URL }}bootstrap/bootstrap.min.css" rel="stylesheet">
    <!-- <link href="{{ STATIC_URL }}font-awesome.css" rel="stylesheet"> -->

    <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">
    <!-- <link href="{{ STATIC_URL }}lib/font-awesome.min.css" rel="stylesheet"> -->

    <!-- <link href="https://fonts.googleapis.com/css?family=Roboto+Slab:300,400|Roboto:300,400" rel="stylesheet"> -->

    <!-- <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700|Raleway" rel="stylesheet"> -->
    <!-- <link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet"> -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700" rel="stylesheet"> 

    <!-- <script src="//ajax.googleapis.com/ajax/libs/jquery/2.1.0/jquery.min.js"></script> -->
    <script src="{{ STATIC_URL }}lib/jquery.min.js"></script>
    <!-- <script src="//netdna.bootstrapcdn.com/bootstrap/3.0.3/js/bootstrap.min.js"></script> -->
    <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.4.0/Chart.min.js"></script> -->
    
    <script src="{{ STATIC_URL }}bootstrap/bootstrap.min.js" type="text/javascript"></script>
    <script src="{{ STATIC_URL }}lib/Chart.min.js" type="text/javascript"></script>

    {#  Set in the django settings module. #}
    {% if USE_COMPRESSOR %}

        {# Requires the lessc compiler. #}
        {% compress css %}
            <link rel="stylesheet" type="text/css" href="{{ STATIC_URL }}lib/prism/prism.css">
            <link href="{{ STATIC_URL }}lib/select2-3.4.5/select2.css" rel="stylesheet">
            <link rel="stylesheet" type="text/less" href="{{ STATIC_URL }}{{ SITE_STYLE_CSS }}">
        {% endcompress %}

        {% compress js %}
            <script src="{{ STATIC_URL }}lib/select2-3.4.5/select2.min.js" type="text/javascript"></script>
            <script src="{{ STATIC_URL }}ratings.js" type="text/javascript"></script>
            <script src="{{ STATIC_URL }}survey.js" type="text/javascript"></script>
            <script src="{{ STATIC_URL }}chart.js" type="text/javascript"></script>
            <script src="{{ STATIC_URL }}poll.js" type="text/javascript"></script>
            <script src="{{ STATIC_URL }}biostar.js" type="text/javascript"></script>
        {% endcompress %}

    {% else %}

        {#  No asset compression. #}
        <link rel="stylesheet" type="text/css" href="{{ STATIC_URL }}lib/prism/prism.css">
        <link href="{{ STATIC_URL }}lib/select2-3.4.5/select2.css" rel="stylesheet">

        {# Random numbers added to bypass potential browser caching. #}
        <link rel="stylesheet/less" type="text/less" href="{{ STATIC_URL }}{{ SITE_STYLE_CSS }}?x={% rand_num %}">
        <script src="{{ STATIC_URL }}lib/less-1.6.1.min.js" type="text/javascript"></script>
        

        <script src="{{ STATIC_URL }}lib/prism/prism.js" type="text/javascript"></script>
        <script src="{{ STATIC_URL }}lib/select2-3.4.5/select2.min.js" type="text/javascript"></script>
        <!-- <script src="{{ STATIC_URL }}biostar.js?x={% rand_num %}" type="text/javascript"></script> -->
        <script src="{{ STATIC_URL }}ratings.js" type="text/javascript"></script>
        <script src="{{ STATIC_URL }}survey.js" type="text/javascript"></script>
        <script src="{{ STATIC_URL }}chart.js" type="text/javascript"></script>
        <script src="{{ STATIC_URL }}poll.js" type="text/javascript"></script>
        <script src="{{ STATIC_URL }}biostar.js" type="text/javascript"></script>

    {% endif %}

    <!-- date picker jquery datepair -->
    <link rel="stylesheet" type="text/css" href="{{ STATIC_URL }}lib/jquery.timepicker.min.css">
    <link rel="stylesheet" type="text/css" href="{{ STATIC_URL }}lib/datepicker.min.css">
    <!-- <link rel="stylesheet" type="text/css" href="{{ STATIC_URL }}lib/bootstrap-datepicker/css/bootstrap-datepicker.min.css" /> -->

    <!-- <script src="{{ STATIC_URL }}lib/bootstrap-datepicker/js/bootstrap-datepicker.min.js" type="text/javascript"></script> -->
    <script src="{{ STATIC_URL }}lib/jquery.timepicker.min.js" type="text/javascript"></script>
    <script src="{{ STATIC_URL }}lib/datepicker.min.js" type="text/javascript"></script>
    <!-- <script src="{{ STATIC_URL }}lib/jquery.datepair.min.js" type="text/javascript"></script> -->

    {% block extras %}
        {# Extra header may be injected here #}
    {% endblock %}

    {% include "banners/banner-scripts.html" %}
    
    <script type="application/javascript">
        {% if user.is_authenticated %}
            USER_ID = {{ user.id }};
        {%  else %}
            USER_ID = null;
        {% endif %}
        LANGUAGE_CODE = "{% get_subdomain_language request %}";
        REQUEST_SUBDOMAIN = "{% get_subdomain request %}";
        TITLE_SEARCH_URL = "{% url 'search-title' %}"
        POST_DISPLAY_URL = "/p/"
    </script>

</head>
<body class="body">
{# Main page container. #}

<div class="container" id="content">

    {% if TOP_BANNER %}
        {% include TOP_BANNER %}
    {% endif %}
    {# Navigation bar for each page. #}
    {% nav_bar user %}

    {% if messages %}
        <div class="row">
            <div class="col-md-12 col-sm-offset-0 text-center">
                {% for message in messages %}
                    <div class="alert  {{ message.tags }}">{{ message|safe }}</div>
                {% endfor %}

            </div>
        </div>
    {% endif %}

    {#  A little bit of nagging is ok #}
    {#  {% include "nag.html" %} #}

    {# Contains the actual body of the page. #}
    {% block content %}
        Body
    {% endblock %}

    {# This information is cached and updated periodically via the context. #}
    <div id="traffic">{% blocktrans %}Traffic: {{ TRAFFIC }} users visited in the last hour{% endblocktrans %}</div>

 	{% include "banners/bottom-block.html" %}

</div>

{# The footer for each page. #}
{% block footer %}
    
    <div class="container page-footer">

        <div class="row">
            <div class="col-sm-12 col-md-12">
                <hr>
            </div>
        </div>

        <div class="row toc">

            <div class="col-xs-3 col-xs-offset-1 col-md-2 col-md-offset-3">
                <div class="title">{% trans "Content" %}</div>
                <ul class="flat">
                    <li><a href="{% url 'search-page' %}">{% trans "Search" %}</a></li>
                    <li><a href="{% url 'user-list' %}">{% trans "Users" %}</a></li>
                    <li><a href="{% url 'tag-list' %}">{% trans "Tags" %}</a></li>
                    <li><a href="{% url 'badge-list' %}">{% trans "Badges" %}</a></li>
                </ul>
            </div>

            <div class="col-xs-3 col-md-2">
                <div class="title">{% trans "Help" %}</div>
                <ul class="flat">
                    <li><a href="{% url 'flatpage' 'about' %}">{% trans "About" %}</a></li>
                    <li><a href="{% url 'flatpage' 'faq' %}">{% trans "FAQ" %}</a></li>
                </ul>
            </div>

            <div class="col-xs-3 col-md-2 ">
                <div class="title">{% trans "Access" %}</div>
                <ul class="flat">
                    <li><a href="{% url 'rss' %}">{% trans "RSS" %}</a></li>
                    <li>{% trans "Stats" %}</li>
                    <li><a href="{% url 'flatpage' 'api' %}">{% trans "API" %}</a></li>
                </ul>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <hr>
            </div>
        </div>

        <div class="row footer">
            <div class="col-md-12 text-center">
                {% url 'flatpage' 'policy' as flatpage_url %}
                {% blocktrans %}
                Use of this site constitutes acceptance of our <a href="{{flatpage_url}}">User
                Agreement
                and Privacy
                Policy</a>.
                {% endblocktrans %}
            </div>
            <div class="col-md-12 text-center">
                {% blocktrans %}
                Powered by <a href="https://github.com/ialbert/biostar-central">Biostar</a>
                version {{ BIOSTAR_VERSION }}
                {% endblocktrans %}
            </div>
        </div>
    </div>

{% endblock %}


{# Google tracker injected if it exists in the context. Set in the django settings. #}
{% if GOOGLE_TRACKER %}
    <script type="text/javascript">

        var _gaq = _gaq || [];
        _gaq.push(['_setAccount', '{{ GOOGLE_TRACKER }}']);
        _gaq.push(['_setDomainName', '{{ GOOGLE_DOMAIN }}']);
        _gaq.push(['_trackPageview']);

        (function () {
            var ga = document.createElement('script');
            ga.type = 'text/javascript';
            ga.async = true;
            ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
            var s = document.getElementsByTagName('script')[0];
            s.parentNode.insertBefore(ga, s);
        })();

    </script>
{% endif %}
</body>
</html>